# parsl.jobs.job_status_poller.JobStatusPoller

class parsl.jobs.job_status_poller.JobStatusPoller(*, strategy: str | None, max_idletime: float, strategy_period: float | int)
  __init__(*, strategy: str | None, max_idletime: float, strategy_period: float | int) → None

    Initalize the poller.

    strategy: str

      names the scaling strategy to use

    max_idletime: float, seconds

      used by some scaling strategies to decide how long a block is idle

    strategy_period: float|int, seconds

      how often the scaling strategy should be executed

  Methods

  `__init__`(*, strategy, max_idletime, ...) | Initalize the poller.
  `add_executors`(executors) |
  `close`([timeout]) | Merge the threads and terminate.
  `make_callback`() | Makes the callback and resets the timer.
  `poll`() |

  add_executors(executors: Sequence[BlockProviderExecutor]) → None
  close(timeout: float | None = None) → None

    Merge the threads and terminate.

  poll() → None